<?php
/***************************************************************
*  Copyright notice
*
*  (c) 2012 Uwe Jakobs <diva@imageco.de>
*  All rights reserved
*
*  This script is part of the TYPO3 project. The TYPO3 project is
*  free software; you can redistribute it and/or modify
*  it under the terms of the GNU General Public License as published by
*  the Free Software Foundation; either version 2 of the License, or
*  (at your option) any later version.
*
*  The GNU General Public License can be found at
*  http://www.gnu.org/copyleft/gpl.html.
*
*  This script is distributed in the hope that it will be useful,
*  but WITHOUT ANY WARRANTY; without even the implied warranty of
*  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
*  GNU General Public License for more details.
*
*  This copyright notice MUST APPEAR in all copies of the script!
***************************************************************/
/**
 * Plugin 'Typ3 diva' for the 'diva' extension.
 *
 * @author	Uwe Jakobs <diva@imageco.de>
 */

class tx_diva {
	
	// variables
	private $group_name;
	private $page_name;

	// Use hook contentPostProc_all
	function contentPostProc_all(&$params, &$reference){
		if ($GLOBALS['TSFE']->page['tx_diva_ll_disable']) {
			return;
		}

		// Get global parameters
		$ll_conf = unserialize($GLOBALS['TYPO3_CONF_VARS']['EXT']['extConf']['diva']);

		// Download-Tracker inkludieren ?
		if(!empty($ll_conf['dlTracking'])) {
			$dlParams = '
			<script type="text/javascript">
				trackDownlodsAsEvents	= '.$ll_conf["trackDownlodsAsEvents"].';
				trackDownlodsWithPath	= '.$ll_conf["trackDownlodsWithPath"].';
				pathPageDownloads		= "'.$ll_conf["pathPageDownloads"].'";
				pathEventDownloads		= "'.$ll_conf["pathEventDownloads"].'";
				milestoneDownloads		= "'.$ll_conf["milestoneDownloads"].'";
				trackExtLinksAsEvents	= '.$ll_conf["trackExtLinksAsEvents"].';
				trackExtlinksWithPath	= '.$ll_conf["trackExtlinksWithPath"].';
				trackExtlinksFullUrl	= '.$ll_conf["trackExtlinksFullUrl"].';
				pathPageExtlinks		= "'.$ll_conf["pathPageExtlinks"].'";
				pathEventExtlinks		= "'.$ll_conf["pathEventExtlinks"].'";	
				milestoneExtlinks		= "'.$ll_conf["milestoneExtlinks"].'";
				trackMailtoWithPath		= '.$ll_conf["trackMailtoWithPath"].';
				trackMailLinkAsEvents	= '.$ll_conf["trackMailLinkAsEvents"].';
				pathPageMailto			= "'.$ll_conf["pathPageMailto"].'";
				pathEventMailto			= "'.$ll_conf["pathEventMailto"].'";
				milestoneMailto			= "'.$ll_conf["milestoneMailto"].'";
				debug					= '.$ll_conf["debug"].';
				revertChangedValues		= '.$ll_conf["revertChangedValues"].';
			</script>'."\n";
			
			if(isset($params['pObj']->config['config']['baseURL'])){
				$dlTracking = $dlParams.'		<script  type="text/javascript" src="typo3conf/ext/leadlab/res/wm_autotrack_v10.js"></script>'."\n";
			} elseif(isset($params['pObj']->config['config']['absRefPrefix'])){
				$dlTracking = $dlParams.'		<script type="text/javascript" src="'.$params['pObj']->config['config']['absRefPrefix'].'typo3conf/ext/leadlab/res/wm_autotrack_v10.js"></script>'."\n";
			} else {
				$dlTracking = $dlParams.'		<script type="text/javascript" src="/typo3conf/ext/leadlab/res/wm_autotrack_v10.js"></script>'."\n";
			}
		}
		
		
		// Kompatibilitt zu webanalytics 0.4.x
		if(!empty($ll_conf['treeStructure'])) {
			// group prefix
			$prefix = '';
			if(isset($params['pObj']->config['config']['tx_webanalytics.']['prefix']) && $params['pObj']->config['config']['tx_webanalytics.']['prefix'] != ''){
				$prefix = $params['pObj']->config['config']['tx_webanalytics.']['prefix'];
			}
		
			// group_name
			$depth = count($params['pObj']->rootLine);
			$first = true;
			
			if($prefix != ''){
				$this->group_name .= $prefix;
				$first = false;
			}
			
			// for($i=0;$i<$depth-1;$i++){ 
			$rootLevel = $ll_conf['rootLevel'];
			for($i=$rootLevel;$i<$depth-1;$i++){
				if(!$first){
					$this->group_name .= '/'.$params['pObj']->rootLine[$i]['title'];

				}
				else{
					$this->group_name .= $params['pObj']->rootLine[$i]['title'];
					$first = false;
				}
			}
			
			// page_name
			if(!$first){
				$this->page_name = str_replace('/','|',$this->group_name.'/'.$params['pObj']->page['title']);
			}
			else{
				$this->page_name = str_replace('/','|',$this->group_name.'/'.$params['pObj']->page['title']);
				$this->page_name = substr($this->page_name,1,strlen($this->page_name));
			}
		}

		switch ($ll_conf['codeScheme']) {
			case '0':
				// insert XHTML Strict
				$params['pObj']->content = str_replace('</body>', $this->getXHTMLstrict($ll_conf).$dlTracking."</body>", $params['pObj']->content);
				break;
				
			case '1':
				// insert HTML Strict
				$params['pObj']->content = str_replace('</body>', $this->getHTML4($ll_conf).$dlTracking.'</body>', $params['pObj']->content);
				break;
				
			case '3':
				// insert XHTML Strict Asynchonous
				$params['pObj']->content = str_replace('</body>', $this->getHTML4asy($ll_conf).$dlTracking."</body>", $params['pObj']->content);
				break;
				
			case '2':
			default:
				// insert HTML Strict Asynchonous
				$params['pObj']->content = str_replace('</body>', $this->getXHTMLasy($ll_conf).$dlTracking."</body>", $params['pObj']->content);
		} //END SWITCH
		
	} // END contentPostProc_all
	
	
	function getXHTMLstrict($ll_params){
		if( !isset($_SERVER['HTTPS']) ) {
			$protocol="http";
		} else {
			$protocol="https";
		}
		
		if( $ll_params['protocol']!="auto" ) {
			$protocol=$ll_params['protocol'];
		}
		
		$pixel = "<!-- Burda Direkt Services eMetrics tracking with Digitaler Vertriebsassistent DiVa V6.3 START (XHTML Strict) -->\n";
		$pixel .="<script type=\"text/javascript\" src=\"".$protocol."://".$ll_params['countServer']."/track/count.js\"></script>\n";
		$pixel .="<script type=\"text/javascript\"><!--\n";
		$pixel .="wiredminds.push([\"setTrackParam\", \"wm_custnum\", \"".$ll_params['custnum']."\"]);\n";
		$pixel .="// Begin own parameters.\n";
		
		if(!empty($ll_params['campaignKey'])) {
			$pixel .= "wiredminds.push([\"setTrackParam\", \"wm_campaign_key\", \"".$ll_params['campaignKey']."\"]);\n";
		}
		
		if(!empty($GLOBALS['TSFE']->page['tx_diva_ll_milestone'])) {
			$pixel .="wiredminds.push([\"setTrackParam\", \"wm_milestone\", \"".$GLOBALS['TSFE']->page['tx_diva_ll_milestone']."\"]);\n";
		}
		
		// Page Name
		if(!empty($GLOBALS['TSFE']->page['tx_diva_ll_page_name'])) {
			$pixel .="wiredminds.push([\"setTrackParam\", \"wm_page_name\", \"".$GLOBALS['TSFE']->page['tx_diva_ll_page_name']."\"]);\n";
			$staticPageName = '&amp;wm_page_name='.rawurlencode($GLOBALS['TSFE']->page['tx_diva_ll_page_name']);
		} elseif(!empty($ll_params['treeStructure'])) {
			$pixel .="wiredminds.push([\"setTrackParam\", \"wm_page_name\", \"".$this->page_name."\"]);\n";
			$staticPageName = '&amp;wm_page_name='.rawurlencode($this->page_name);
		} else {
			$staticPageName = '&amp;wm_page_name='.$ll_params['pageNameNoScript'];
		}
		
		// GroupName
		if(!empty($GLOBALS['TSFE']->page['tx_diva_ll_group_name'])) {
			$pixel .="wiredminds.push([\"setTrackParam\", \"wm_group_name\", \"".$GLOBALS['TSFE']->page['tx_diva_ll_group_name']."\"]);\n";
			$staticGroupName = '&amp;wm_group_name='.rawurlencode($GLOBALS['TSFE']->page['tx_diva_ll_group_name']);
		} elseif(!empty($ll_params['treeStructure'])) {
			$pixel .="wiredminds.push([\"setTrackParam\", \"wm_group_name\", \"".$this->group_name."\"]);\n";
			$staticGroupName = '&amp;wm_group_name='.rawurlencode($this->group_name);
		} else {
			$staticGroupName = '&amp;wm_group_name='.$ll_params['groupNameNoScript'];
		}		
		
		// Heatmap
		if ($ll_params['heatMapEnabled']) {
			if (!empty($ll_params['heatmapWidth'])) {
				$pixel .="wiredminds.push([\"setTrackParam\", \"wm_content_width\", ".$ll_params['heatmapWidth']."]);\n";
			}
			$pixel .="wiredminds.push([\"registerHeatmapEvent\", \"mousedown\"]);\n";
		}

		if (!empty($ll_params['customJavaScript'])) {
			$pixel .= str_replace('#####', "\n", $ll_params['customJavaScript'])."\n";
		}


		$pixel .="// End own parameters.\n";
		$pixel .="wiredminds.push([\"count\"]);\n";

		if (!empty($ll_params['retentionTime'])) {
			$pixel .="wiredminds.push([\"activateStillAlive\"]);\n";
		}

		$pixel .="// -->\n";
		$pixel .="</script>\n";
		if ($ll_params['visitorTrackingWithoutJS'])  {
			$pixel .="<noscript>\n";
			$pixel .="<div>\n";
			$pixel .="<a href=\"http://www.wiredminds.de\"><img src=\"".$protocol."://".$ll_params['countServer']."/track/ctin.php?wm_custnum=".$ll_params['custnum']."&amp;nojs=1".$staticPageName.$staticGroupName."\" alt=\"\" style=\"border:0px;\"/></a>\n";
			$pixel .="</div>\n";
			$pixel .="</noscript>\n";
		}
		$pixel .="<!-- Burda Direkt Services eMetrics tracking with Digitaler Vertriebsassistent DiVa V6.3 END -->\n";

		return $pixel;
	} // END getXHTMLstrict
	
	function getHTML4($ll_params){
		if( !isset($_SERVER['HTTPS']) ) {
			$protocol="http";
		} else {
			$protocol="https";
		}
		
		if( $ll_params['protocol']!="auto" ) {
			$protocol=$ll_params['protocol'];
		}
		
		$pixel = "<!-- Burda Direkt Services eMetrics tracking with Digitaler Vertriebsassistent DiVa V6.3 START (HTML 4.0) -->\n";
		$pixel .= "<script type=\"text/javascript\" src=\"".$protocol."://".$ll_params['countServer']."/track/count.js\"></script>\n";
		$pixel .= "<script type=\"text/javascript\"><!--\n";
		$pixel .= "wiredminds.push([\"setTrackParam\", \"wm_custnum\", \"".$ll_params['custnum']."\"]);\n";
		$pixel .= "// Begin own parameters.\n";
		if(!empty($ll_params['campaignKey'])) {
			$pixel .= "wiredminds.push([\"setTrackParam\", \"wm_campaign_key\", \"".$ll_params['campaignKey']."\"]);\n";
		}
		
		if(!empty($GLOBALS['TSFE']->page['tx_diva_ll_milestone'])) {
			$pixel .="wiredminds.push([\"setTrackParam\", \"wm_milestone\", \"".$GLOBALS['TSFE']->page['tx_diva_ll_milestone']."\"]);\n";
		}
		
		// Page Name
		if(!empty($GLOBALS['TSFE']->page['tx_diva_ll_page_name'])) {
			$pixel .="wiredminds.push([\"setTrackParam\", \"wm_page_name\", \"".$GLOBALS['TSFE']->page['tx_diva_ll_page_name']."\"]);\n";
			$staticPageName = '&wm_page_name='.rawurlencode($GLOBALS['TSFE']->page['tx_diva_ll_page_name']);
		} elseif(!empty($ll_params['treeStructure'])) {
			$pixel .="wiredminds.push([\"setTrackParam\", \"wm_page_name\", \"".$this->page_name."\"]);\n";
			$staticPageName = '&wm_page_name='.rawurlencode($this->page_name);
		} else {
			$staticPageName = '&wm_page_name='.$ll_params['pageNameNoScript'];
		}
		
		// GroupName
		if(!empty($GLOBALS['TSFE']->page['tx_diva_ll_group_name'])) {
			$pixel .="wiredminds.push([\"setTrackParam\", \"wm_group_name\", \"".$GLOBALS['TSFE']->page['tx_diva_ll_group_name']."\"]);\n";
			$staticGroupName = '&wm_group_name='.rawurlencode($GLOBALS['TSFE']->page['tx_diva_ll_group_name']);
		} elseif(!empty($ll_params['treeStructure'])) {
			$pixel .="wiredminds.push([\"setTrackParam\", \"wm_group_name\", \"".$this->group_name."\"]);\n";
			$staticGroupName = '&wm_group_name='.rawurlencode($this->group_name);
		} else {
			$staticGroupName = '&wm_group_name='.$ll_params['groupNameNoScript'];
		}	
		
		// Heatmap
		if ($ll_params['heatMapEnabled']) {
			if (!empty($ll_params['heatmapWidth'])) {
				$pixel .="wiredminds.push([\"setTrackParam\", \"wm_content_width\", ".$ll_params['heatmapWidth']."]);\n";
			}
			$pixel .="wiredminds.push([\"registerHeatmapEvent\", \"mousedown\"]);\n";
		}
		
		if (!empty($ll_params['customJavaScript'])) {
			$pixel .= str_replace('#####', "\n", $ll_params['customJavaScript'])."\n";
		}
		
		$pixel .= "// End own parameters.\n";
		$pixel .= "wiredminds.push([\"count\"]);\n";

		if (!empty($ll_params['retentionTime'])) {
			$pixel .="wiredminds.push([\"activateStillAlive\"]);\n";
		}
		
		$pixel .= "// -->\n";
		$pixel .= "</script>\n";

		if ($ll_params['visitorTrackingWithoutJS'])  {
			$pixel .= "<noscript>\n";
			$pixel .= "<div>\n";
			$pixel .= "<a target=\"_blank\" HREF=\"http://www.wiredminds.de\"><img src=\"".$protocol."://".$ll_params['countServer']."/track/ctin.php?wm_custnum=".$ll_params['custnum']."&nojs=1".$staticPageName.$staticGroupName."\" alt=\"\" border=\"0\"></a>\n";
			$pixel .= "</div>\n";
			$pixel .= "</noscript>\n";
		}
		$pixel .= "<!-- Burda Direkt Services eMetrics tracking with Digitaler Vertriebsassistent DiVa V6.3 END -->\n";

		return $pixel;
	} // ENDE getHTML4
	
	function getXHTMLasy($ll_params){
		if( !isset($_SERVER['HTTPS']) ) {
			$protocol="http";
		} else {
			$protocol="https";
		}
		
		if( $ll_params['protocol']!="auto" ) {
			$protocol=$ll_params['protocol'];
		}
		
		$pixel = "<!-- Burda Direkt Services eMetrics tracking with Digitaler Vertriebsassistent DiVa V6.3 START (XHTML Strict asynchonous)-->\n";
		$pixel .= "<script type=\"text/javascript\"><!--\n";
		$pixel .= "var wiredminds = [];\n";
		$pixel .= "wiredminds.push([\"setTrackParam\", \"wm_custnum\", \"".$ll_params['custnum']."\"]);\n";
		$pixel .= "// Begin own parameters.\n";
		
		if(!empty($ll_params['campaignKey'])) {
			$pixel .= "wiredminds.push([\"setTrackParam\", \"wm_campaign_key\", \"".$ll_params['campaignKey']."\"]);\n";
		}
		
		if(!empty($GLOBALS['TSFE']->page['tx_diva_ll_milestone'])) {
			$pixel .="wiredminds.push([\"setTrackParam\", \"wm_milestone\", \"".$GLOBALS['TSFE']->page['tx_diva_ll_milestone']."\"]);\n";
		}
		
		// Page Name
		if(!empty($GLOBALS['TSFE']->page['tx_diva_ll_page_name'])) {
			$pixel .="wiredminds.push([\"setTrackParam\", \"wm_page_name\", \"".$GLOBALS['TSFE']->page['tx_diva_ll_page_name']."\"]);\n";
			$staticPageName = '&amp;wm_page_name='.rawurlencode($GLOBALS['TSFE']->page['tx_diva_ll_page_name']);
		} elseif(!empty($ll_params['treeStructure'])) {
			$pixel .="wiredminds.push([\"setTrackParam\", \"wm_page_name\", \"".$this->page_name."\"]);\n";
			$staticPageName = '&amp;wm_page_name='.rawurlencode($this->page_name);
		} else {
			$staticPageName = '&amp;wm_page_name='.$ll_params['pageNameNoScript'];
		}
		
		// GroupName
		if(!empty($GLOBALS['TSFE']->page['tx_diva_ll_group_name'])) {
			$pixel .="wiredminds.push([\"setTrackParam\", \"wm_group_name\", \"".$GLOBALS['TSFE']->page['tx_diva_ll_group_name']."\"]);\n";
			$staticGroupName = '&amp;wm_group_name='.rawurlencode($GLOBALS['TSFE']->page['tx_diva_ll_group_name']);
		} elseif(!empty($ll_params['treeStructure'])) {
			$pixel .="wiredminds.push([\"setTrackParam\", \"wm_group_name\", \"".$this->group_name."\"]);\n";
			$staticGroupName = '&amp;wm_group_name='.rawurlencode($this->group_name);
		} else {
			$staticGroupName = '&amp;wm_group_name='.$ll_params['groupNameNoScript'];
		}	
		
		// Heatmap
		if ($ll_params['heatMapEnabled']) {
			if (!empty($ll_params['heatmapWidth'])) {
				$pixel .="wiredminds.push([\"setTrackParam\", \"wm_content_width\", ".$ll_params['heatmapWidth']."]);\n";
			}
			$pixel .="wiredminds.push([\"registerHeatmapEvent\", \"mousedown\"]);\n";
		}

		if (!empty($ll_params['customJavaScript'])) {
			$pixel .= str_replace('#####', "\n", $ll_params['customJavaScript'])."\n";
		}
			
		$pixel .= "// End own parameters.\n";
		$pixel .= "wiredminds.push([\"count\"]);\n";
		
		if (!empty($ll_params['retentionTime'])) {
			$pixel .="wiredminds.push([\"activateStillAlive\"]);\n";
		}
		
		$pixel .= "(function() {\n";
		$pixel .= "	function wm_async_load() {\n";
		$pixel .= "		var wm = document.createElement(\"script\");\n";
		$pixel .= "		wm.type = \"text/javascript\";\n";
		$pixel .= "		wm.async = true;\n";
		$pixel .= "		wm.src = \"".$protocol."://".$ll_params['countServer']."/track/count.js\";\n";
		$pixel .= "		var el = document.getElementsByTagName('script')[0];\n";
		$pixel .= "		el.parentNode.insertBefore(wm, el);\n";
		$pixel .= "	}\n";
		$pixel .= "	if (window.addEventListener) {\n";
		$pixel .= "		window.addEventListener('load', wm_async_load, false);\n";
		$pixel .= "	} else if (window.attachEvent){\n";
		$pixel .= "		window.attachEvent('onload', wm_async_load);\n";
		$pixel .= "	}\n";
		$pixel .= "})();\n";
		$pixel .= "// -->\n";
		$pixel .= "</script>\n";
		
		if ($ll_params['visitorTrackingWithoutJS'])  {
			$pixel .= "<noscript>\n";
			$pixel .= "<div>\n";
			$pixel .= "<a href=\"http://www.wiredminds.de\"><img src=\"".$protocol."://".$ll_params['countServer']."/track/ctin.php?wm_custnum=".$ll_params['custnum']."&amp;nojs=1".$staticPageName.$staticGroupName."\" alt=\"\" style=\"border:0px;\"></a>\n";
			$pixel .= "</div>\n";
			$pixel .= "</noscript>\n";
		}
		
		$pixel .= "<!-- Burda Direkt Services eMetrics tracking with Digitaler Vertriebsassistent DiVa V6.3 END -->\n";
		
	return $pixel;

	} // END getXHTMLasy
	
	function getHTML4asy($ll_params){
		if( !isset($_SERVER['HTTPS']) ) {
			$protocol="http";
		} else {
			$protocol="https";
		}
		
		if( $ll_params['protocol']!="auto" ) {
			$protocol=$ll_params['protocol'];
		}
		
		
		$pixel = "<!-- Burda Direkt Services eMetrics tracking with Digitaler Vertriebsassistent DiVa V6.3 START (HTML 4.0 asynchronous) -->\n";
		$pixel .= "<script type=\"text/javascript\"><!--\n";
		$pixel .= "var wiredminds = [];\n";
		$pixel .= "wiredminds.push([\"setTrackParam\", \"wm_custnum\", \"".$ll_params['custnum']."\"]);\n";
		$pixel .= "// Begin own parameters.\n";
		if(!empty($ll_params['campaignKey'])) {
			$pixel .= "wiredminds.push([\"setTrackParam\", \"wm_campaign_key\", \"".$ll_params['campaignKey']."\"]);\n";
		}
		
		if(!empty($GLOBALS['TSFE']->page['tx_diva_ll_milestone'])) {
			$pixel .="wiredminds.push([\"setTrackParam\", \"wm_milestone\", \"".$GLOBALS['TSFE']->page['tx_diva_ll_milestone']."\"]);\n";
		}
		
		// Page Name
		if(!empty($GLOBALS['TSFE']->page['tx_diva_ll_page_name'])) {
			$pixel .="wiredminds.push([\"setTrackParam\", \"wm_page_name\", \"".$GLOBALS['TSFE']->page['tx_diva_ll_page_name']."\"]);\n";
			$staticPageName = '&wm_page_name='.rawurlencode($GLOBALS['TSFE']->page['tx_diva_ll_page_name']);
		} elseif(!empty($ll_params['treeStructure'])) {
			$pixel .="wiredminds.push([\"setTrackParam\", \"wm_page_name\", \"".$this->page_name."\"]);\n";
			$staticPageName = '&wm_page_name='.rawurlencode($this->page_name);
		} else {
			$staticPageName = '&wm_page_name='.$ll_params['pageNameNoScript'];
		}
		
		// GroupName
		if(!empty($GLOBALS['TSFE']->page['tx_diva_ll_group_name'])) {
			$pixel .="wiredminds.push([\"setTrackParam\", \"wm_group_name\", \"".$GLOBALS['TSFE']->page['tx_diva_ll_group_name']."\"]);\n";
			$staticGroupName = '&wm_group_name='.rawurlencode($GLOBALS['TSFE']->page['tx_diva_ll_group_name']);
		} elseif(!empty($ll_params['treeStructure'])) {
			$pixel .="wiredminds.push([\"setTrackParam\", \"wm_group_name\", \"".$this->group_name."\"]);\n";
			$staticGroupName = '&wm_group_name='.rawurlencode($this->group_name);
		} else {
			$staticGroupName = '&wm_group_name='.$ll_params['groupNameNoScript'];
		}		

		// Heatmap
		if ($ll_params['heatMapEnabled']) {
			if (!empty($ll_params['heatmapWidth'])) {
				$pixel .="wiredminds.push([\"setTrackParam\", \"wm_content_width\", ".$ll_params['heatmapWidth']."]);\n";
			}
			$pixel .="wiredminds.push([\"registerHeatmapEvent\", \"mousedown\"]);\n";
		}

		if (!empty($ll_params['customJavaScript'])) {
			$pixel .= str_replace('#####', "\n", $ll_params['customJavaScript'])."\n";
		}
			
		$pixel .= "// End own parameters.\n";
		$pixel .= "wiredminds.push([\"count\"]);\n";

		if (!empty($ll_params['retentionTime'])) {
			$pixel .="wiredminds.push([\"activateStillAlive\"]);\n";
		}

		$pixel .= "(function() {\n";
		$pixel .= "	function wm_async_load() {\n";
		$pixel .= "		var wm = document.createElement(\"script\");\n";
		$pixel .= "		wm.type = \"text/javascript\";\n";
		$pixel .= "		wm.async = true;\n";
		$pixel .= "		wm.src = \"".$protocol."://".$ll_params['countServer']."/track/count.js\";\n";
		$pixel .= "		var el = document.getElementsByTagName('script')[0];\n";
		$pixel .= "		el.parentNode.insertBefore(wm, el);\n";
		$pixel .= "	}\n";
		$pixel .= "	if (window.addEventListener) {\n";
		$pixel .= "		window.addEventListener('load', wm_async_load, false);\n";
		$pixel .= "	} else if (window.attachEvent){\n";
		$pixel .= "		window.attachEvent('onload', wm_async_load);\n";
		$pixel .= "	}\n";
		$pixel .= "})();\n";
		$pixel .= "// -->\n";
		$pixel .= "</script>\n";

		if ($ll_params['visitorTrackingWithoutJS'])  {
			$pixel .= "<noscript>\n";
			$pixel .= "<div>\n";
			$pixel .= "<a target=\"_blank\" HREF=\"http://www.wiredminds.de\"><img src=\"".$protocol."://".$ll_params['countServer']."/track/ctin.php?wm_custnum=".$ll_params['custnum']."&nojs=1".$staticPageName.$staticGroupName."\" alt=\"\" border=\"0\"></a>\n";
			$pixel .= "</div>\n";
			$pixel .= "</noscript>\n";
		}
		
		$pixel .= "<!-- Burda Direkt Services eMetrics tracking with Digitaler Vertriebsassistent DiVa V6.3 END -->\n";

		return $pixel;
	} // END getHTML4asy
	
} // END CLASS


if (defined('TYPO3_MODE') && $TYPO3_CONF_VARS[TYPO3_MODE]['XCLASS']['ext/diva/class.tx_diva.php'])	{
	include_once($TYPO3_CONF_VARS[TYPO3_MODE]['XCLASS']['ext/diva/class.tx_diva.php']);
}

?>